*,
*::before,
*::after {
  box-sizing: border-box;
}

ul[class],
ol[class] {
  padding: 0;
}

body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

body {
    font-family: "SourceSansPro", "Helvetica Neue", "Arial", sans-serif;
      min-height: 100vh;
      scroll-behavior: smooth;
      text-rendering: optimizeSpeed;
      line-height: 1.5;
}

ul[class],
ol[class] {
  list-style: none;
}

a:not([class]) {
  text-decoration-skip-ink: auto;
}

img {
  max-width: 100%;
  display: block;
}

input,
button,
textarea,
select {
  font: inherit;
}

@font-face {
    font-family: "SourceSansPro";
    font-style: normal;
    font-weight: normal;
    src: url('../fonts/sourcesanspro-regular.woff2') format('woff2'),
         url('../fonts/sourcesanspro-regular.woff') format('woff');
}

@font-face {
    font-family: "SourceSansPro";
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/sourcesanspro-semibold.woff2') format('woff2'),
         url('../fonts/sourcesanspro-semibold.woff') format('woff');
}

.layout {
    background-color: #fff;
    height: 100%;
    position: absolute;
    width: 100%;
}

@media (min-width: 1024px) {
    .layout {
        display: flex;
        max-width: 100%;
    }
}

.aside {
    background-color: #8aa4bf;
    display: flex;
    order: 2;
    overflow: hidden;
}

@media (max-width: 1023.98px) {
    .aside {
        height: 20%;
        width: 100%;
    }
}

@media (min-width: 1024px) {
    .aside {
        height: 100%;
        width: 65%;
    }
}

.aside-wrapper {
    height: 100%;
    position: relative;
    width: 100%;
}

.aside-image {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    position: absolute;
    width: 100%;
}

.main {
    background-color: #fff;
    color: #a8a8a8;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    
}
@media (max-width: 1023.98px) {
    .main {
        padding-top: 32px;
        width: 100%;
    }
}

@media (min-width: 1024px) {
    .main {
        display: flex;
        margin-bottom: auto;
        margin-top: auto;
        max-height: 100%;
        order: 1;
        overflow: auto;
        padding-top: 64px;
        width: 35%;
    }
}

.main-wrapper {
    margin-left: auto;
    margin-right: auto;
    max-width: 460px;
}

.main-logo {
     margin-bottom: 64px;
}

.main-title {
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    margin-bottom: 16px;
    color: #606060;
}

.main-content {
    padding-bottom: 64px;
}

.main-text {
    margin-bottom: 16px;
}

.lang {
    padding-top: 20px;
    border-top: 1px solid #dee2e6;
}

.main-footer {
    font-size: 12px;
    line-height: 16px;
    margin: 32px 0;
}
